## gnome-audio 1.0.0

=== Makefile ===
VERSION=1.0.0
DD=gnome-audio-$(VERSION)

all: gnome-audio.spec

gnome-audio.spec: gnome-audio.spec.in
	sed "s/GNOME_AUDIO_VERSION/$(VERSION)/" gnome-audio.spec.in > gnome-audio.spec

install:
	$(MAKE) -C sounds install

dist: gnome-audio.spec
	make prefix=$(shell pwd)/$(DD) install
	mv $(DD)/share/sounds $(DD)/sounds
	rmdir $(DD)/share
	install -m644 Makefile README gnome-audio.spec.in gnome-audio.spec $(DD)
	install -m644 sounds/Makefile $(DD)/sounds
	tar -czvf $(DD).tar.gz $(DD)
	rm -rf $(DD)

## gnome-audio 2.22.1

=== Makefile ===
VERSION=2.22.1
DD=gnome-audio-$(VERSION)

all: gnome-audio.spec

gnome-audio.spec: gnome-audio.spec.in
	sed "s/GNOME_AUDIO_VERSION/$(VERSION)/" gnome-audio.spec.in > gnome-audio.spec

install:
	$(MAKE) -C sounds install

dist: gnome-audio.spec
	make datadir=$(shell pwd)/$(DD) install
	install -m644 Makefile README gnome-audio.spec.in gnome-audio.spec ChangeLog COPYING $(DD)
	install -m644 sounds/Makefile $(DD)/sounds
	tar -cjvf $(DD).tar.bz2 $(DD)
	rm -rf $(DD)

=== sounds/Makefile ===
datadir=/usr/share

LN_S=ln -sf
INSTALL_DATA=install -c -m 444 
# Which one is more portable
# MKINSTALLDIRS=install -d
MKINSTALLDIRS=mkdir -p

all:

install: install-files install-default-links

install-files:
	for I in *.wav */*.wav ; do \
		$(MKINSTALLDIRS) $(DESTDIR)/$(datadir)/sounds/`dirname $$I`; \
		$(INSTALL_DATA) $$I $(DESTDIR)/$(datadir)/sounds/$$I; \
	done

install-default-links:
	$(LN_S) startup3.wav $(DESTDIR)/$(datadir)/sounds/login.wav
	$(LN_S) shutdown1.wav $(DESTDIR)/$(datadir)/sounds/logout.wav

## gnome-audio 2.22.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.22.1
+VERSION=2.22.2
 DD=gnome-audio-$(VERSION)
 
 all: gnome-audio.spec

=== sounds/Makefile ===
--- 
+++ 
@@ -16,6 +16,6 @@
 		$(INSTALL_DATA) $$I $(DESTDIR)/$(datadir)/sounds/$$I; \
 	done
 
-install-default-links:
+install-default-links: install-files
 	$(LN_S) startup3.wav $(DESTDIR)/$(datadir)/sounds/login.wav
 	$(LN_S) shutdown1.wav $(DESTDIR)/$(datadir)/sounds/logout.wav

=== debian/changelog ===
gnome-audio (2.22.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add watch file
  * Maintain package in Debian team on Salsa
  * Add Homepage
  * d/copyright: DEP5 + review
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 20 Dec 2025 22:12:26 +0100

gnome-audio (2.22.2-1.2) unstable; urgency=medium

  * Non-maintainer upload. (Closes: #962992)
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13. (Closes: #965558)
    - Drop unnecessary build-dependency on sharutils.
  * debian/rules: Use dh sequencer, do not invoke upstream Makefile.
  * debian/install: Manually specify file installation.
  * debian/compat: Removed.
  * debian/source/format: Use "3.0 (quilt)" format.
  * debian/gnome-audio.dirs: Removed, useless.
  * debian/gnome-audio.files: Removed, superseded by debian/install.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Jan 2021 19:07:28 -0500

gnome-audio (2.22.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:23:21 +0100

gnome-audio (2.22.2-1) unstable; urgency=low

  * new upstream release
  * debian/compat debian/control raised debhelper to 5
  * updated Standards-Version: no changes needed
  * debian/copyright added copyright-notice to fix lintian error
  * debian/copyright add licenses of the file from README

 -- Noèl Köthe <noel@debian.org>  Sat, 25 Jul 2009 13:48:13 +0200

gnome-audio (2.22.1-1) unstable; urgency=low

  * new upstream release
    (closes: Bug#474703)
  * debian/control
    - updated Standards-Version
    - s/Gnome/GNOME (lintian warning)

 -- Noèl Köthe <noel@debian.org>  Sun, 10 Aug 2008 22:17:17 +0200

gnome-audio (2.0.0-2) unstable; urgency=low

  * updated my name in changelog, control and copyright
    to the correct spelling
  * updated standards-version

 -- Noèl Köthe <noel@debian.org>  Mon, 31 May 2004 04:38:57 +0200

gnome-audio (2.0.0-1) unstable; urgency=low

  * new upstream from 2003-07-10
    (closes: Bug#200880)
  * corrected Section: to gnome
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Mon, 14 Jul 2003 16:08:00 +0200

gnome-audio (1.4.0-5) unstable; urgency=low

  * new maintainer
    (closes: Bug#135131)

 -- Noel Koethe <noel@debian.org>  Mon, 29 Apr 2002 18:51:00 +0200

gnome-audio (1.4.0-4) unstable; urgency=low

  * Add build depends on sharutils (Closes: #140553)
  * Remove call to make distclean in debian/rules clean target.
  * Add call to dh_clean in clean target.

 -- James LewisMoss <dres@debian.org>  Sat, 30 Mar 2002 02:59:13 -0500

gnome-audio (1.4.0-3) unstable; urgency=low

  * Remove debian/build.  Oops.

 -- James LewisMoss <dres@debian.org>  Wed,  4 Apr 2001 12:02:58 -0400

gnome-audio (1.4.0-2) unstable; urgency=low

  * Remove the patches stuff from rules.
  * Add question.wav (debian/question.wav.uu) (Closes: #65532) (Thanks
    Christian)

 -- James LewisMoss <dres@debian.org>  Tue,  3 Apr 2001 15:56:55 -0400

gnome-audio (1.4.0-1) unstable; urgency=low

  * New upstream.  Includes all but question.wav reported missing
   (Closes: #40809, #46494, #65532).  I'll leave one open and reassign to
    gnome-control-center.
  * Remove the .in cruftiness.
  * Use make install rather than tar.
  * Up standards version to 3.1.0
  * Fix copyright location.

 -- James LewisMoss <dres@debian.org>  Tue, 20 Mar 2001 22:40:23 -0500

gnome-audio (1.0.0-3) unstable; urgency=low

  * Recompile to fix the botched upload (without original source).

 -- James LewisMoss <dres@debian.org>  Fri, 10 Sep 1999 20:22:55 -0400

gnome-audio (1.0.0-2) unstable; urgency=low ; closes: #40809

  * Fix bug #40809 by properly moving the files AND symlinks.

 -- James LewisMoss <dres@debian.org>  Wed,  8 Sep 1999 22:14:27 -0400

gnome-audio (1.0.0-1) unstable; urgency=low

  * Take over package.  Anyone who wants it can have it.

 -- James LewisMoss <dres@debian.org>  Wed,  8 Sep 1999 21:41:34 -0400

gnome-audio (1.0.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream.
  * For some odd reason there is a subdirectory of sounds called sounds
    that contains identical sounds.  Remove this in install step.  no
    reason to add an extra 2.5 megs for doubles.

 -- James LewisMoss <dres@ioa.com>  Sun, 14 Mar 1999 00:10:36 -0500

gnome-audio (0.1-1) unstable; urgency=low

  * New package.

 -- Jim Pick <jim@jimpick.com>  Sat, 23 Jan 1999 00:24:55 -0800

=== debian/control ===
Source: gnome-audio
Section: gnome
Priority: optional
Maintainer: Noèl Köthe <noel@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/gnome-audio
Vcs-Git: https://salsa.debian.org/debian/gnome-audio.git
Homepage: https://download.gnome.org/sources/gnome-audio/

Package: gnome-audio
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Suggests: gnome-core
Description: Audio files for GNOME
 GNOME is the "GNU Network Object Model Environment"
 .
 It is a project to build a complete, user-friendly desktop based
 entirely on free software.
 .
 This package contains a collection of sounds for use with GNOME.

=== debian/watch ===
Version: 5

Source: https://download.gnome.org/sources/@PACKAGE@/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
